--- doxygen-1.7.5/src/doxygen.cpp	2011-08-11 11:21:54.000000000 +0100
+++ doxygen-1.7.5.patched/src/doxygen.cpp	2011-08-23 12:16:58.713172319 +0100
@@ -1175,13 +1175,37 @@
         fullName.data(),root->section,root->tArgLists ? (int)root->tArgLists->count() : -1);
     cd->setDocumentation(root->doc,root->docFile,root->docLine); // copy docs to definition
     cd->setBriefDescription(root->brief,root->briefFile,root->briefLine);
+    cd->setLanguage(root->lang);
+    cd->setHidden(root->hidden);
+    cd->setArtificial(root->artificial);
+    cd->setTypeConstraints(root->typeConstr);
+    //printf("new ClassDef %s tempArgList=%p specScope=%s\n",fullName.data(),root->tArgList,root->scopeSpec.data());
+
+    ArgumentList *tArgList = 
+      getTemplateArgumentsFromName(fullName,root->tArgLists);
+    //printf("class %s template args=%s\n",fullName.data(),
+    //    tArgList ? tempArgListToString(tArgList).data() : "<none>");
+    cd->setTemplateArguments(tArgList);
+    cd->setProtection(root->protection);
+    cd->setIsStatic(root->stat);
+
+    // file definition containing the class cd
+    cd->setBodySegment(root->bodyLine,root->endBodyLine);
+    cd->setBodyDef(fd);
+
+    // see if the class is found inside a namespace 
+    //bool found=addNamespace(root,cd);
+
+
+    // the empty string test is needed for extract all case
+    cd->setBriefDescription(root->brief,root->briefFile,root->briefLine);
     cd->insertUsedFile(root->fileName);
 
     // add class to the list
     //printf("ClassDict.insert(%s)\n",resolveDefines(fullName).data());
     Doxygen::classSDict->append(fullName,cd);
 
-  }
+  }	
 
   cd->addSectionsToDefinition(root->anchors);
   if (!root->subGrouping) cd->setSubGrouping(FALSE);
